GET
/distributed_jobs_v2/cluster/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/distributed_jobs_v2/cluster/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/distributed_jobs_v2/cluster/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/distributed_jobs_v2/cluster/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
page_no
integer
The page number from which you want your page search results to be displayed.
per_page
integer
Number of results per page
Responses
Section titled “Responses”Successful response with a list of training clusters.
Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
name
string
created_by
object
id
integer
name
string
email
string
username
string
is_primary_contact
boolean
currency
string
is_suspended
boolean
no_of_nodes
integer
no_of_gpu
string
no_of_cpu
string
node_memory
string
created_at
string format: date-time
available_gpu
integer
available_cpu
integer
available_memory
string
status
string
sku_details
object
specs
object
sku_id
integer
name
string
series
string
cpu
integer
gpu
integer
memory
integer
ephemeral_storage
integer
gpu_memory
integer
is_free
boolean
is_active
boolean
local_storage_in_gb
integer
sku_type
string
gpu_card_type
string
category
string
variant
string
no_of_nodes
integer
plan
object
sku_item_price_id
integer
sku_type
string
committed_days
integer
unit_price
number
currency
string
is_active
boolean
description
string
location
string
private_cloud_name
string
private_cloud_id
integer
has_local_storage
boolean
image_version
object
id
integer
version
string
description
string
tags
Array<string>
name
string
slug_name
string
framework
string
is_internal
boolean
errors
object
message
string
total_page_number
integer
total_count
integer
Example
{ "code": 200, "data": [ { "id": 101, "name": "training-cluster-010125103045", "created_by": { "id": 1001, "name": "John Doe", "email": "user@example.com", "username": "user@example.com", "is_primary_contact": true, "currency": "INR", "is_suspended": false }, "no_of_nodes": 1, "no_of_gpu": "8", "no_of_cpu": "208", "node_memory": "2000GB", "created_at": "2025-01-15T10:30:00Z", "available_gpu": 0, "available_cpu": 0, "available_memory": "0GB", "status": "Creating", "sku_details": { "specs": { "sku_id": 309, "name": "GDC.8xH10080-208.2000GB_SXM_v1", "series": "GPU", "cpu": 208, "gpu": 8, "memory": 2000, "ephemeral_storage": 0, "gpu_memory": 640, "is_free": false, "is_active": true, "local_storage_in_gb": 0, "sku_type": "GDC-8xH10080", "gpu_card_type": "H100", "category": "distributed_job", "variant": "e2e", "no_of_nodes": 1 }, "plan": { "sku_item_price_id": 3416, "sku_type": "hourly", "committed_days": 0, "unit_price": 1995.2, "currency": "INR", "is_active": true, "description": "Hourly Compute Instance: distributed_job", "location": "Delhi" } }, "private_cloud_name": null, "private_cloud_id": null, "has_local_storage": false, "image_version": { "id": 2, "version": "v2-slurm25.11-ubuntu24.04", "description": "", "tags": [], "name": "Ubuntu Slurm", "slug_name": "ubuntu-slurm", "framework": "Slurm", "is_internal": false } } ], "errors": {}, "message": "Success", "total_page_number": 1, "total_count": 1}